Bug 1118993 - Thinkfan should fill on its own thinkfan.conf with sensors infos
Summary: Thinkfan should fill on its own thinkfan.conf with sensors infos
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: thinkfan
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Matt Spaulding
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 21:40 UTC by Germano Massullo
Modified: 2014-12-14 22:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1118961
Environment:
Last Closed: 2014-12-14 22:52:42 UTC


Attachments (Terms of Use)

Description Germano Massullo 2014-07-12 21:40:34 UTC
During Thinkfan installation, it should retrieve sensors infos on its own by executing

find /sys/devices -type f -name "temp*_input"

and fill on its own the file thinkfan.conf with proper data.

+++ This bug was initially created as a clone of Bug #1118961 +++

Comment 1 Sudhir Khanger 2014-07-13 03:32:38 UTC
Not to discourage you but you should read more about Thinkfan before creating a series of bug reports. Read the readme from the original package http://thinkfan.sourceforge.net/.

The above hack will help you setup simple configuration but current version of Thinkfan favors complex configuration. Simple configuration uses highest temperature from all sensors to modularize the speed of fan. Complex configuration changes speed of fan based on individual sensors.

> find /sys/devices -type f -name "temp*_input"
Not all the sensors from this list will work.

Hardware are too different to implement what you are asking. Package maintainers can do little here. This might be more suited to upstream.


Note You need to log in before you can comment on or make changes to this bug.